Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Probeleme bei der Installation
 
takomat
Jr. Member
 
Avatar
Total Posts:  6
Joined:  2008-11-18
Cologne
 

Hallo,

ich versuche gerade Magento auf unserem Server lauffähig zu machen, leider ist dieses Vorhaben noch nicht von Erfolg gekrönt:

Der Server sollte eigentlich alle Voraussetzungen erfüllen, tut er aber anscheinden doch nicht:

Mageto-Check sagt:

Your server does not meet the following requirements in order to install Magento.
The following requirements failed, please contact your hosting provider in order to receive assistance with meeting the system requirements for Magento:

* You need MySQL 4.1.20 (or greater)

Alle anderen Werte sind okay, das Problem dabei ist nur, dass unsere MySQL-Version 4.1.21 ist und somit funktionieren sollte. Bei der Installation komme ich auch nicht weit, denn unmittelbar nachdem ich die MySQL Zugangsdaten eingebe kommt folgende Fehlermeldung:

Error in file: “/html/shop/app/code/core/Mage/Core/sql/core_setup/mysql4-upgrade-0.8.1-0.8.2.php” - SQLSTATE[42000]: Syntax error or access violation: 1142 INDEX Befehl nicht erlaubt für Benutzer ‘XXXXX’@’localhost’ auf Tabelle ‘mag_core_url_rewrite’
Trace:

Weiß hier jemand Rat?

Vielen Dank,

Marcin Jakubowski
takomat

 
Magento Community Magento Community
Magento Community
Magento Community
 
rack::SPEED
Guru
 
Avatar
Total Posts:  369
Joined:  2008-06-26
 

Deinem MySQL-Nutzer fehlen die INDEX-Rechte. Ob nach der Korrektur das “Check-File” grünes Licht gibt, kann ich dir leider nicht sagen. - Ich würde auf jeden Fall eine 5er MySQL-Datenbank verwenden, da diese um einiges schneller sein sollte.

Wo versuchst du das Ganze zu installieren?

 
Magento Community Magento Community
Magento Community
Magento Community
 
takomat
Jr. Member
 
Avatar
Total Posts:  6
Joined:  2008-11-18
Cologne
 

Hallo rack::SPEED,

vielen Dank für deine Antwort, ich werde meinen Provider mal drauf hinweisen. Wir hosten auf einem Root-Server (Linux-OS) mit verschiedenen virt. Servern.

Eigentlich sollte es kein Problem sein und normalerweise sollten wir auch MySQL 5 haben.

 
Magento Community Magento Community
Magento Community
Magento Community
 
takomat
Jr. Member
 
Avatar
Total Posts:  6
Joined:  2008-11-18
Cologne
 

Das Problem ist behoben, es lag an den Benutzerrechten. Danke für die Hilfe!

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top